Ogre::EAGLES2Context Class Reference

`#include <OgreEAGLES2Context.h>`

Inheritance diagram for Ogre::EAGLES2Context:
[legend]

List of all members.

## Public Member Functions

virtual | ~EAGLES2Context ()
virtual void | setCurrent ()
| Enable the context.
virtual void | endCurrent ()
| This is called before another context is made current.
virtual GLES2Context * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
bool | createFramebuffer ()
void | destroyFramebuffer ()
bool | getInitialized ()
void | setInitialized ()
virtual void | releaseContext ()
| Release the render context.

## Public Attributes

GLint | mBackingWidth
GLint | mBackingHeight
GLuint | mViewRenderbuffer
GLuint | mViewFramebuffer
GLuint | mDepthRenderbuffer
bool | mIsMultiSampleSupported
GLsizei | mNumSamples
GLuint | mFSAAFramebuffer
GLuint | mFSAARenderbuffer

## Protected Attributes

bool | initialized

## Detailed Description

Definition at line 40 of file OgreEAGLES2Context.h.

## Constructor & Destructor Documentation

virtual Ogre::EAGLES2Context::~EAGLES2Context | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual GLES2Context* Ogre::EAGLES2Context::clone | ( |  | ) | const`[virtual]`

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note:
  The caller is responsible for deleting the returned context.

Implements Ogre::GLES2Context.

bool Ogre::EAGLES2Context::createFramebuffer | ( |  | ) |

void Ogre::EAGLES2Context::destroyFramebuffer | ( |  | ) |

virtual void Ogre::EAGLES2Context::endCurrent | ( |  | ) | `[virtual]`

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GLES2Context.

bool Ogre::GLES2Context::getInitialized | ( |  | ) | `[inherited]`

Definition at line 58 of file OgreGLES2Context.h.

virtual void Ogre::GLES2Context::releaseContext | ( |  | ) | `[virtual, inherited]`

Release the render context.

Definition at line 70 of file OgreGLES2Context.h.

virtual void Ogre::EAGLES2Context::setCurrent | ( |  | ) | `[virtual]`

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GLES2Context.

void Ogre::GLES2Context::setInitialized | ( |  | ) | `[inherited]`

Definition at line 59 of file OgreGLES2Context.h.

## Member Data Documentation

bool Ogre::GLES2Context::initialized`[protected, inherited]`

Definition at line 73 of file OgreGLES2Context.h.

GLint Ogre::EAGLES2Context::mBackingHeight

Definition at line 65 of file OgreEAGLES2Context.h.

GLint Ogre::EAGLES2Context::mBackingWidth

Definition at line 64 of file OgreEAGLES2Context.h.

GLuint Ogre::EAGLES2Context::mDepthRenderbuffer

Definition at line 72 of file OgreEAGLES2Context.h.

GLuint Ogre::EAGLES2Context::mFSAAFramebuffer

Definition at line 76 of file OgreEAGLES2Context.h.

GLuint Ogre::EAGLES2Context::mFSAARenderbuffer

Definition at line 77 of file OgreEAGLES2Context.h.

bool Ogre::EAGLES2Context::mIsMultiSampleSupported

Definition at line 74 of file OgreEAGLES2Context.h.

GLsizei Ogre::EAGLES2Context::mNumSamples

Definition at line 75 of file OgreEAGLES2Context.h.

GLuint Ogre::EAGLES2Context::mViewFramebuffer

Definition at line 69 of file OgreEAGLES2Context.h.

GLuint Ogre::EAGLES2Context::mViewRenderbuffer

Definition at line 68 of file OgreEAGLES2Context.h.

The documentation for this class was generated from the following file:

- OgreEAGLES2Context.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:28:00